import http from '../http'
import { https } from '../https'
export default {
  page: data =>
    http.post('/v1/equip_repair_manage/page_vo', data).then(res => res),
  getById: id => http.get('/v1/equip_repair_manage/vo/' + id).then(res => res),
  get: id => http.get('/v1/equip_repair_manage/' + id).then(res => res),
  list: data =>
    http.post('/v1/equip_repair_manage/list', data).then(res => res),
  edit: data =>
    http
      .put('/v1/equip_repair_manage/?id=' + data.id, data.obj)
      .then(res => res),
  addDo: data =>
    https
      .post('/v1/equip_repair_manage/add/', JSON.stringify(data))
      .then(res => res)
}
